Package com.avaya.clientservices.downloadservice

## Class DownloadServiceConfiguration

- java.lang.Object
- - com.avaya.clientservices.downloadservice.DownloadServiceConfiguration

-     public class DownloadServiceConfiguration
      extends java.lang.Object

  User Configuration information for Download Service. This class provides configuration and preference data for the download service features.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DownloadServiceConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CredentialProvider` | `getCredentialProvider()` | A CredentialProvider value representing the object that provides the credentials.
    `void` | `setCredentialProvider​(CredentialProvider credentialProvider)` | Set the CredentialProvider value representing the object that provides the credentials.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DownloadServiceConfiguration

          public DownloadServiceConfiguration()

  - ### Method Detail

    - #### getCredentialProvider

          public CredentialProvider getCredentialProvider()

      A CredentialProvider value representing the object that provides the credentials.
      Returns:
        Credential Provider to be used to get the credentials

    - #### setCredentialProvider

          public void setCredentialProvider​(CredentialProvider credentialProvider)

      Set the CredentialProvider value representing the object that provides the credentials. CredentialProvider is implemented by the client application. It allows DownloadService to query for credentials when challenged by the network server where the download is initiated from.
      Parameters:
        `credentialProvider` - to be used to get the credentials